Subject: [Megaco] Ambiguous digit map match in Megaco and MGCP

From: Raphael Tryster <[email-masked]>
Date: Mon, 10 Nov 2003 17:11:04 +0200

If I interpret the standards correctly, Megaco and MGCP seem to require
different behaviour on an ambiguous digit map match.  For example (using
MGCP syntax:

D: (0|[1-9]xxx|9|[*,#]xx[*,#]|*#xx[*,#]|[2-4]x#|[2-9]#|[2-4]xT|[2-9]T) 

Suppose the subscriber dials 9.  In Megaco, the MG waits for a few seconds
to see if the 9 will be followed by 3 digits or # or timeout.  In MGCP, the
MG is expected to NTFY the digit 9 immediately, and the alternatives of
9xxx, 9# and 9T are meaningless.

Am I correct about this difference between the protocols, and if so, why
does MGCP allow impossible alternatives?

Raphael Tryster